Bulk Delete Reports API
Use this API to delete reports in bulk.
Input ParametersInput Parameters
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
|
id |
Mandatory |
String |
Provide a unique ID of the report. Enter IDs separated by comma in [ ] brackets. For example,["{report-id1}","{report-id2}","{report-id3}"] |
|
Authorization |
Mandatory |
String |
Authorization token to authenticate to the Qualys Enterprise TruRisk Platform Prepend token with Bearer and one space. For example - Bearer authToken |
SampleSample
API Request
curl -X DELETE
'<qualys_base_url>/etm/api/rest/v1/reports'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <JWT Token>'
--data '[
"dbc34b32-b957-449a-a357-27cf27df7eab"
]'
Response
[
{
"statusCode":204,
"message":"Report deleted with id - 49fed5ab-19bc-4907-a18f-ae4ae486e07d and hard delete as false."
}
]